The excel portion isn't that hard. I'm not sure to what extent you would be using it but the basics are easy.
- (defun basics (vscaleav / thefilename) (vl-load-com) ; This makes it possible to use vl commands (setq thefilename "c://filepath.xls") ; This sets the file you want to open (setq excapp (vlax-get-or-create-object "Excel.Application")) ; This sets the excel application ; Create VBA objects from data (global) (if excapp (setq wCells (vlax-get (vlax-get-property (vlax-get (vla-open (vlax-get excapp "Workbooks") thefilename) "Sheets") "Item" 1) "Cells")); this brings you down to the cell level from here everything is easy ); /If (vlax-put-property wCells "Item" 15 1 vscaleav); this code places a variable "vscaleav" in row 15 column 1 into excel. I you used vlax-get-property it would extract information from that row or cell (princ) ); /Defun
If you have a good handle on how lisp works then you should be able to write something basic from here. |